summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'games-strategy/seven-kingdoms')
-rw-r--r--games-strategy/seven-kingdoms/Manifest3
-rw-r--r--games-strategy/seven-kingdoms/metadata.xml14
-rw-r--r--games-strategy/seven-kingdoms/seven-kingdoms-2.14.4.ebuild60
-rw-r--r--games-strategy/seven-kingdoms/seven-kingdoms-2.14.5.ebuild56
4 files changed, 133 insertions, 0 deletions
diff --git a/games-strategy/seven-kingdoms/Manifest b/games-strategy/seven-kingdoms/Manifest
new file mode 100644
index 00000000000..78caac3ff9e
--- /dev/null
+++ b/games-strategy/seven-kingdoms/Manifest
@@ -0,0 +1,3 @@
+DIST 7kaa-2.14.5.tar.xz 31223408 SHA256 c7f04fa640d324ed8f1523da49945acd0f1ee2a99e3ee82ee29b52d2f735e464 SHA512 cd797e63ba377d1f7b3e37cd775afd381ad015baf90bdfe00bc3f8741f745548b8abdd61e4b334e9fa54a5c04b48493ba8a90fbebef3f977517f12563d1efddd WHIRLPOOL 0a786e9657568349579fa7ce2fe907942ffbcec1e03eb07b22a3ede915005a57389957960971df9680f7f8cb1a0b281e9da289500b9bf1e5c3e414aa60769451
+DIST 7kaa-source-2.14.4.tar.bz2 27366752 SHA256 60b61f321db6c295330fb3fb21894bc41cb6e0bd797aff9abe45cf2392b49fa1 SHA512 7ee39aba89993d9f0041ab991e053069e0c3ab4298f74c0ec95e3f30f49a71731ef37d8870b1ab9afd97b1c4618a879492976006b8a513bfc4bc44dfac591bf0 WHIRLPOOL 4568d36278d4a286e0395b79ec06c03905b5e69be827faa80f4808c8b8fa097a65ac69ee5c58020dfcf21aa00649eaab2a3ac87a636b680167b4c83b3d3e5f73
+DIST 7kaa.png 559 SHA256 354f64479b55df2021ca67366abb4724218ca3676fde9e735bfb2218bc1559f4 SHA512 0ec1ba67107a7823943704879efaf12297c5441c43b54f49684550927b10dc40c657fe93eb7c4cc85208d08194f179c9602fd8df6545776f3e1b4481803b16e6 WHIRLPOOL cb896939453d8ed6fc425931bb1f5b74c62aeea67e71e4645fe79fc69fb13fae89d4959651fd95dcbb416c378b4ef44873dc6ebdabc1f2bb1fed3753332209da
diff --git a/games-strategy/seven-kingdoms/metadata.xml b/games-strategy/seven-kingdoms/metadata.xml
new file mode 100644
index 00000000000..58be49dda6e
--- /dev/null
+++ b/games-strategy/seven-kingdoms/metadata.xml
@@ -0,0 +1,14 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>pinkbyte@gentoo.org</email>
+ <name>Sergey Popov</name>
+ </maintainer>
+ <use>
+ <flag name="network">Enable support for multiplayer via <pkg>media-libs/sdl-net</pkg></flag>
+ </use>
+ <upstream>
+ <remote-id type="sourceforge">skfans</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/games-strategy/seven-kingdoms/seven-kingdoms-2.14.4.ebuild b/games-strategy/seven-kingdoms/seven-kingdoms-2.14.4.ebuild
new file mode 100644
index 00000000000..56e043eea11
--- /dev/null
+++ b/games-strategy/seven-kingdoms/seven-kingdoms-2.14.4.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+AUTOTOOLS_AUTORECONF=1
+AUTOTOOLS_IN_SOURCE_BUILD=1
+
+inherit autotools-utils games
+
+MY_PN="7kaa"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Seven Kingdoms: Ancient Adversaries"
+HOMEPAGE="http://7kfans.com/"
+SRC_URI="mirror://sourceforge/skfans/${MY_PN}-source-${PV}.tar.bz2
+ http://dev.gentoo.org/~pinkbyte/distfiles/${MY_PN}.png"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="network"
+
+DEPEND="media-libs/libsdl[X,video]
+ media-libs/openal
+ network? ( media-libs/sdl-net )
+ !games-strategy/seven-kingdoms-data"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( README )
+
+src_prepare() {
+ sed -i -e '/#include <player_desc.h>/a\#include <string.h>' src/multiplayer/common/player_desc.cpp || die 'sed failed'
+
+ autotools-utils_src_prepare
+}
+
+src_configure() {
+ # In current state debugging works only on Windows :-/
+ egamesconf \
+ $(use_enable network) \
+ --disable-debug \
+ --without-directx \
+ --without-wine \
+ --datadir="${GAMES_DATADIR}/${MY_PN}"
+}
+
+src_install() {
+ autotools-utils_src_install
+
+ newgamesbin "src/client/${MY_PN}" "${MY_PN}.bin"
+ doicon "${DISTDIR}/${MY_PN}.png"
+ games_make_wrapper "${MY_PN}" "${GAMES_BINDIR}/${MY_PN}.bin" "${GAMES_DATADIR}/${MY_PN}"
+ make_desktop_entry "${MY_PN}" "Seven Kingdoms: Ancient Adversaries" "${MY_PN}" "Game;StrategyGame"
+
+ prepgamesdirs
+}
diff --git a/games-strategy/seven-kingdoms/seven-kingdoms-2.14.5.ebuild b/games-strategy/seven-kingdoms/seven-kingdoms-2.14.5.ebuild
new file mode 100644
index 00000000000..740d38f936a
--- /dev/null
+++ b/games-strategy/seven-kingdoms/seven-kingdoms-2.14.5.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils games
+
+MY_PN="7kaa"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Seven Kingdoms: Ancient Adversaries"
+HOMEPAGE="http://7kfans.com/"
+SRC_URI="mirror://sourceforge/skfans/${MY_PN}-${PV}.tar.xz
+ http://dev.gentoo.org/~pinkbyte/distfiles/${MY_PN}.png"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+DEPEND="net-libs/enet:1.3=
+ media-libs/libsdl2[X,video]
+ media-libs/openal
+ !games-strategy/seven-kingdoms-data"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( README )
+
+src_unpack() {
+ unpack ${MY_PN}-${PV}.tar.xz
+}
+
+src_prepare() {
+ epatch_user
+}
+
+src_configure() {
+ # In current state debugging works only on Windows :-/
+ egamesconf \
+ --disable-debug \
+ --without-wine \
+ --datadir="${GAMES_DATADIR}/${MY_PN}"
+}
+
+src_install() {
+ default
+
+ newgamesbin "src/client/${MY_PN}" "${MY_PN}.bin"
+ doicon "${DISTDIR}/${MY_PN}.png"
+ games_make_wrapper "${MY_PN}" "${GAMES_BINDIR}/${MY_PN}.bin" "${GAMES_DATADIR}/${MY_PN}"
+ make_desktop_entry "${MY_PN}" "Seven Kingdoms: Ancient Adversaries" "${MY_PN}" "Game;StrategyGame"
+
+ prepgamesdirs
+}